Skip to main content
Get Ticket Status Postpone Options

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

TicketStatusId

GetTicketStatusPostponeOptions: Returns the postpone options of a Postponed ticket status, in menu order. A status without saved options returns the standard options. Returns an empty array for a status that is not Postponed.

TicketStatusId
integer<int32>

Response

OK

TicketStatusPostponeId
integer<int32>

Primary key

TicketStatusId
integer<int32>

The Postponed ticket status the option belongs to

Rank
integer<int32>

Rank order of the option in the postpone menu

StandardKind
enum<string>

Built-in option this row represents, or Custom for options added by an administrator

Available options:
Custom,
OneHour,
TwentyFourHours,
NextWorkingDay,
NextWeek,
OneWeek,
OneMonth
Name
string

Name of a custom option, shown in the postpone menu. Empty for standard options

Rule
enum<string>

How the activation time is calculated

Available options:
Unknown,
Interval,
NextWorkingDay,
WeekdayNextWeek
Amount
integer<int32>

Number of units for the Interval rule

Unit
enum<string>

Unit of amount for the Interval rule: hours, days, weeks or months

Available options:
Unknown,
Second,
Minute,
Hour,
Day,
Week,
Month,
Quarter,
HalfYear,
Year,
Decade,
Century,
Millenium
Weekday
integer<int32>

ISO weekday (1 = Monday, 7 = Sunday) for the WeekdayNextWeek rule

TimeOfDay
integer<int32>

Minutes after midnight for the NextWorkingDay and WeekdayNextWeek rules

WorkingTime
boolean

Skip days and hours outside the opening hours of the ticket priority

Active
boolean

Option is shown in the postpone menu

DisplayName
string

Name shown in the postpone menu. Localized for standard options.

DisplayValue
string

Time of activation for the day-based rules, e.g. '08:00' or 'Mon 08:00'. Empty for the Interval rule.